udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
extendedFileEntry Struct Reference

`#include <ecma_167.h>`

Collaboration diagram for extendedFileEntry:

## Public Attributes
tag | descTag
icbtag | icbTag
uint32_t | uid
uint32_t | gid
uint32_t | permissions
uint16_t | fileLinkCount
uint8_t | recordFormat
uint8_t | recordDisplayAttr
uint32_t | recordLength
uint64_t | informationLength
uint64_t | objectSize
uint64_t | logicalBlocksRecorded
timestamp | accessTime
timestamp | modificationTime
timestamp | createTime
timestamp | attrTime
uint32_t | checkpoint
uint32_t | reserved
long_ad | extendedAttrICB
long_ad | streamDirectoryICB
regid | impIdent
uint64_t | uniqueID
uint32_t | lengthExtendedAttr
uint32_t | lengthAllocDescs
uint8_t | extendedAttr [0]
uint8_t | allocDescs [0]

## Detailed Description

Definition at line 798 of file ecma_167.h.

## Member Data Documentation

timestamp extendedFileEntry::accessTime

Definition at line 812 of file ecma_167.h.

uint8_t extendedFileEntry::allocDescs[0]

Definition at line 825 of file ecma_167.h.

timestamp extendedFileEntry::attrTime

Definition at line 815 of file ecma_167.h.

uint32_t extendedFileEntry::checkpoint

Definition at line 816 of file ecma_167.h.

timestamp extendedFileEntry::createTime

Definition at line 814 of file ecma_167.h.

tag extendedFileEntry::descTag

Definition at line 800 of file ecma_167.h.

uint8_t extendedFileEntry::extendedAttr[0]

Definition at line 824 of file ecma_167.h.

long_ad extendedFileEntry::extendedAttrICB

Definition at line 818 of file ecma_167.h.

uint16_t extendedFileEntry::fileLinkCount

Definition at line 805 of file ecma_167.h.

uint32_t extendedFileEntry::gid

Definition at line 803 of file ecma_167.h.

icbtag extendedFileEntry::icbTag

Definition at line 801 of file ecma_167.h.

regid extendedFileEntry::impIdent

Definition at line 820 of file ecma_167.h.

uint64_t extendedFileEntry::informationLength

Definition at line 809 of file ecma_167.h.

uint32_t extendedFileEntry::lengthAllocDescs

Definition at line 823 of file ecma_167.h.

uint32_t extendedFileEntry::lengthExtendedAttr

Definition at line 822 of file ecma_167.h.

uint64_t extendedFileEntry::logicalBlocksRecorded

Definition at line 811 of file ecma_167.h.

timestamp extendedFileEntry::modificationTime

Definition at line 813 of file ecma_167.h.

uint64_t extendedFileEntry::objectSize

Definition at line 810 of file ecma_167.h.

uint32_t extendedFileEntry::permissions

Definition at line 804 of file ecma_167.h.

uint8_t extendedFileEntry::recordDisplayAttr

Definition at line 807 of file ecma_167.h.

uint8_t extendedFileEntry::recordFormat

Definition at line 806 of file ecma_167.h.

uint32_t extendedFileEntry::recordLength

Definition at line 808 of file ecma_167.h.

uint32_t extendedFileEntry::reserved

Definition at line 817 of file ecma_167.h.

long_ad extendedFileEntry::streamDirectoryICB

Definition at line 819 of file ecma_167.h.

uint32_t extendedFileEntry::uid

Definition at line 802 of file ecma_167.h.

uint64_t extendedFileEntry::uniqueID

Definition at line 821 of file ecma_167.h.

The documentation for this struct was generated from the following file:

- include/ecma_167.h